{% extends 'base.html.twig' %}

{% block title %}Article index{% endblock %}

{% block body %}
    <h1>Article index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nombre</th>
                <th>Descripcion</th>
                <th>FechaCreacion</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for article in articles %}
            <tr>
                <td>{{ article.id }}</td>
                <td>{{ article.nombre }}</td>
                <td>{{ article.descripcion }}</td>
                <td>{{ article.fechaCreacion ? article.fechaCreacion|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('article_show', {'id': article.id}) }}">show</a>
                    <a href="{{ path('article_edit', {'id': article.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('article_new') }}">Create new</a>
{% endblock %}